from parser.abc.ast import AST

from cpl_query.extension.list import List


class LibraryAST(AST):

    def __init__(self):
        AST.__init__(self)
        self._body = List(AST)

    @property
    def body(self) -> List['AST']:
        return self._body
        
    @body.setter
    def body(self, value: List['AST']):
        self._body = value
